{
  "name": "react-shop",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@material-ui/core": "^4.11.0",
    "@material-ui/icons": "^4.9.1",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.3.2",
    "@testing-library/user-event": "^7.1.2",
    "@types/jest": "^24.0.0",
    "@types/node": "^12.0.0",
    "@types/react": "^16.9.49",
    "@types/react-dom": "^16.9.8",
    "@types/react-router-dom": "^5.1.5",
    "eslint-config-prettier": "^6.10.1",
    "eslint-plugin-prettier": "^3.1.2",
    "eslint-plugin-react-hooks": "^4.1.2",
    "firebase": "7.17.1",
    "node-sass": "^4.14.1",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-google-button": "^0.7.1",
    "react-google-login": "^5.1.21",
    "react-router-dom": "5.2.0",
    "react-scripts": "3.4.1",
    "typescript": "^4.0.3"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "prettier": "prettier --write .",
    "lint": "tsc --noEmit && eslint \"src/**/*.{js,ts,tsx,jsx}\" --quiet --fix"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@types/lodash": "^4.14.161",
    "@typescript-eslint/eslint-plugin": "^3.6.1",
    "@typescript-eslint/parser": "^3.6.1",
    "eslint": "^6.8.0",
    "eslint-plugin-react": "^7.20.3",
    "firebase-admin": "^8.12.1",
    "firebase-tools": "^8.0.0",
    "husky": "^4.2.3",
    "lint-staged": "^10.1.2",
    "prettier": "^2.0.3"
  },
  "husky": {
    "hooks": {
      "pre-commit": "yarn lint && lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,ts,tsx,json,css,scss,md}": [
      "prettier --write"
    ]
  }
}
